# Computational Neuroimaging Toolbox

[![DOI](https://zenodo.org/badge/132882227.svg)](https://zenodo.org/badge/latestdoi/132882227)
![](https://img.shields.io/github/license/ccnmaastricht/CNI_toolbox)
![](https://img.shields.io/github/issues/ccnmaastricht/CNI_toolbox)
![](https://img.shields.io/github/forks/ccnmaastricht/CNI_toolbox)
![](https://img.shields.io/github/stars/ccnmaastricht/CNI_toolbox)

The Computational Neuroimaging Toolbox contains tools for estimating input-referred models. Specifically, it includes tools for Fourier analyses of phase-encoded stimuli, population receptive field (pRF) mapping, fast (real-time) pRF mapping and for estimating parameters of generic (user-defined) input-referred models.

This code is hosted at https://github.com/ccnmaastricht/CNI_toolbox
The latest version may always be found here.

## Matlab implementation
![](https://img.shields.io/badge/release-v2.2.0-blueviolet.svg?style=flat)

This software was developed with MATLAB R2017a and access to the full suite of MATLAB add-on packages. Some of these packages may be required to run the software.

### Installation
Download the toolbox file [Computational Neuroimaging Toolbox.mltbx](https://github.com/ccnmaastricht/CNI_toolbox/raw/master/code/matlab/computational%20neuroimaging%20toolbox.mltbx), navigate to the downloaded file within MATLAB and then execute the following command:

```MATLAB
matlab.addons.toolbox.installToolbox('computational neuroimaging toolbox.mltbx');
```
### Usage

* [Data Handling](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Data-Handling-(Matlab))
* [Phase Encoding Analysis](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Phase-Encoding-Analysis-(Matlab))
* [Population Receptive Field Mapping](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Population-Receptive-Field-Mapping-(Matlab))
* [Input Referred Models](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Input-Referred-Models-(Matlab))
* [Fast & real-time pRF mapping](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Fast-&-real-time-pRF-mapping-(Matlab))

## Python implementation
![](https://img.shields.io/badge/release-v2.2.4-blueviolet.svg?style=flat)

This software was developed for Python 3.

### Installation

```Python
pip install cni_tlbx
```

### Usage

* [Data Handling](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Data-Handling-(Python))
* [Phase Encoding Analysis](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Phase-Encoding-Analysis-(Python))
* [Population Receptive Field Mapping](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Population-Receptive-Field-Mapping-(Python))
* [Input Referred Models](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Input-Referred-Models-(Python))
* [Fast & real-time pRF mapping](https://github.com/ccnmaastricht/CNI_toolbox/wiki/Fast-&-real-time-pRF-mapping-(Python))
